Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Endpoint.h File Reference

`#include "ace/Thread_Mutex.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "tao/orbconf.h"`
`#include "tao/Endpoint.i"`

Include dependency graph for Endpoint.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Endpoint
| Defines the Endpoint interface in the Pluggable Protocol framework. More...

## Detailed Description

Id
  Endpoint.h,v 1.20 2005/11/02 07:13:02 ossama Exp

Endpoint interface, part of TAO pluggable protocol framework.

Author:
  Marina Spivak <marina@cs.wustl.edu>